Bug 11429 - mrtg totally broken in 6.2
mrtg totally broken in 6.2
Status: CLOSED RAWHIDE
Product: Red Hat Powertools
Classification: Retired
Component: mrtg (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Powers
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-05-15 22:44 EDT by Steven Webb
Modified: 2008-05-01 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-07 14:31:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Webb 2000-05-15 22:44:00 EDT
First, there is no "mrtg" section under bugzilla.  Please make a "mrtg"
section and move this bug there.

Second, mrtg is totally hosed under RH6.2.

Install a fresh RH6.2 system and install mrtg and watch root's e-mail for
errors.  To fix those:
cd /usr/lib/perl5/site_perl/5.005
ln -s ../BER.pm
ln -s ../SNMP_SESSION.pm
ln -s ../SNMP_util.pm

Then, once those are fixed, mrtg is complaining that "locales_mrtg.pm" is
missing.  I checked:
http://www.redhat.com/swr/i386/mrtg-2.8.11-2.i386_fl.html and
used "locate" and couldn't find it on the machine or in the package list
for the rpm.  So, this file (and possibly more) is/are missing from the
rpm.

Does anyone even check or test these packages?

NOTE: I'm a recent convert from debian (forced to by management), and I'm
really unimpressed.  rpmfind hangs, tons of links from redhat.com are
invalid (404 missing), bugzilla seems like it's not even being used, ...
If this continues, I'm going back to debian and convincing others to do
the same.

- Steven Webb (steve@badcheese.com)
Comment 1 Tim Powers 2000-05-17 11:49:59 EDT
OK. I sent you a SRPM with some changes to mrtg so that files aren't moved
around after the installation of the package. Is it working for you?

Tim
Comment 2 Joerg Dorchain 2000-05-19 04:42:59 EDT
I copied locales_mrtg.pm from a previous mrtg version. Works so far. But you
Redhat please really test RPM before they're shipped? Banana |products remind me
to some company at Redmont.
BTW, the bug also concerns the sparc platform. I'd assume all platforms.
Comment 3 Joerg Dorchain 2000-05-19 04:47:59 EDT
I just forgot, if I understand policies right changing /etc/crontab by install
script is deprecated; /etc/cron.d was invented instead.
Comment 4 osman 2000-06-25 13:51:33 EDT
I found the bug and a cure for it:
the spec file forgets to include the files inside "translate"
furthermore the whole package doesn't work cause it cant find the perl modules 
it needs.
My cure is to move the files which are installed 
into "/usr/lib/perl5/site_perl" plus the files in "translate" (which are in the 
tarfile) into "/usr/lib/perl5/site_perl/mrtg"
and adding "-I /usr/lib/perl5/site_perl/mrtg" to the first line 
in "/usr/bin/mrtg" which invokes perl.
for a detailed step-by-step walk-through see the thread MRTG in the cartman 
mailinglist, I posted as "The Black Goeroe".

Thats all folks...
Comment 5 Tim Powers 2000-07-07 14:31:51 EDT
OK. The problems should be resolved in mrtg-2.8.12-5 (in rawhide soon).

Thanks for your help.

Tim

Note You need to log in before you can comment on or make changes to this bug.